Bug 22432 - Star ratings plugin replacement missing from a couple pages
Summary: Star ratings plugin replacement missing from a couple pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 10659
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-28 13:26 UTC by Owen Leonard
Modified: 2019-04-15 10:37 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22432: Star ratings plugin replacement missing from a couple pages (5.22 KB, patch)
2019-03-26 12:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22432: Star ratings plugin replacement missing from a couple pages (5.29 KB, patch)
2019-03-27 12:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22432: Star ratings plugin replacement missing from a couple pages (5.35 KB, patch)
2019-03-31 17:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-02-28 13:26:33 UTC
The upgrade of the star ratings plugin missed a couple of pages: Overdrive search results and Recorded Books search results.
Comment 1 Martin Renvoize 2019-03-26 07:50:17 UTC
Any movement on this one Owen?
Comment 2 Owen Leonard 2019-03-26 12:18:13 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2019-03-27 12:05:39 UTC
Created attachment 87062 [details] [review]
Bug 22432: Star ratings plugin replacement missing from a couple pages

This patch modifies two templates to conform to the change to the start
ratings plugin: Overdrive search results and RecordedBooks search
results.

On the Overdrive page, the star ratings are now correctly displayed
using the new plugin. On the RecordedBooks page, star ratings code has
been removed because it is unused. RecordedBooks doesn't provide ratings
information in their API.

To test you need credentials for both Overdrive and RecordedBooks. Apply
the patch and enable both services.

 - In the OPAC, perform a search that will return results from Overdrive
   and RecordedBooks.
 - Open the search results for each of those services.
   - On the Overdrive search results page, star ratings should appear
     correctly (in read-only mode).
   - On the RecordedBooks page everything should look the same.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Katrin Fischer 2019-03-31 17:20:35 UTC
I don't think anyone else has credentials to both Overdrive and RecordedBooks (I don't). Patch looks sensible and passes tests. I am inclined to pass QA trusting Nick and Owen.
Comment 5 Katrin Fischer 2019-03-31 17:21:40 UTC
Created attachment 87242 [details] [review]
Bug 22432: Star ratings plugin replacement missing from a couple pages

This patch modifies two templates to conform to the change to the start
ratings plugin: Overdrive search results and RecordedBooks search
results.

On the Overdrive page, the star ratings are now correctly displayed
using the new plugin. On the RecordedBooks page, star ratings code has
been removed because it is unused. RecordedBooks doesn't provide ratings
information in their API.

To test you need credentials for both Overdrive and RecordedBooks. Apply
the patch and enable both services.

 - In the OPAC, perform a search that will return results from Overdrive
   and RecordedBooks.
 - Open the search results for each of those services.
   - On the Overdrive search results page, star ratings should appear
     correctly (in read-only mode).
   - On the RecordedBooks page everything should look the same.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-04-05 13:11:37 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-15 10:37:50 UTC
Bug in enhancement 10659 not in 18.11.x series.